# Author Contribution Team Video

## Authors

### Roberto Gelsinger
- Contribution: Algorithm development, Python Code
- Email: gelsingerro81137@th-nuernberg.de


## Contribution

### Roberto Gelsinger

#### General Contributen
- **Creating README.md**
- **Creating requiremenents.txt**
- **Creating author_contribution.md structure**
- **Added Docstrings to the code**
- **Creating the Trello Agile Kanban Board and updating Team Video Tasks**

#### Code Contribution
- **facedetection.py**
  - Developed face and forehead detection using OpenCV.

- **heartrate.py**
  - Implemented and optimized the heart rate calculation using SciPy

- **main.py**
  - Created user interface using Tkinter for recording, processing and testing porpuses.
  - Connected all functionalities of the code to create a effective testing environment

- **processing.py**
  - Handled video data processing and applied image processing algorithms.
  - Collaborated in the development of video manipulation techniques for analysis.

- **pyramids.py**
  - Constructed image pyramids and performed image analysis.
  - Employed computer vision techniques for feature extraction and manipulation.

- **recording.py**
  - Implemented video recording functionalities.
  - Developed modules for media file management and real-time video capture using threading.

- **constants.py**
  - Established global constants and configuration parameters.
  - Defined critical frequency and alpha value parameters for system-wide use.

- **eulerian.py**
  - Applies the maginfication alpha to the signal
 

- **excel_processing.py**
  - Is used to create test cases and prcoess the value for the test case
  - Values and input is saved to a excel

- **excel_update.py**
  - Creates entry in testrun excel file 
  - Calculates the deviation and colors the excel cells.
  - Calculates the deviation for each test case and adds a overall deviation for the test run

#### Testing Contribution

- **Design and implement solution for test automation**
- **Create testcase sample for test automation**
- **Testing and optimizing the code**




---

<div style="display: flex; justify-content: space-around; align-items: center;">
    <div>
        <hr style="width: 200px;">
        <p style="text-align: center;">Roberto Gelsinger</p>
    </div>
    <div>
        <hr style="width: 200px;">
        <p style="text-align: center;">Author 2</p>
    </div>
    <div>
        <hr style="width: 200px;">
        <p style="text-align: center;">Author 3</p>
    </div>
</div>